commit:     83af7a2d10ee6c25c1dff49d392c381ba8d42d8e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  7 08:56:18 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Oct  7 09:05:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83af7a2d

app-shells/bash: Bump to version 4.3_p48

Package-Manager: portage-2.3.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-shells/bash/Manifest            |   2 +
 app-shells/bash/bash-4.3_p48.ebuild | 252 ++++++++++++++++++++++++++++++++++++
 2 files changed, 254 insertions(+)

diff --git a/app-shells/bash/Manifest b/app-shells/bash/Manifest
index e34edb9..1bbb754 100644
--- a/app-shells/bash/Manifest
+++ b/app-shells/bash/Manifest
@@ -283,3 +283,5 @@ DIST bash43-043 1942 SHA256 
47a8a3c005b46e25821f4d8f5ccb04c1d653b1c829cb40568d55
 DIST bash43-044 1658 SHA256 
9338820630bf67373b44d8ea68409f65162ea7a47b9b29ace06a0aed12567f99 SHA512 
2937ef80c99e93094e4aaa6a93d077efc3e433a4712c17e30590a0abeb5488293365cb8aa19e37d25b7d5c38d3ad26cdea12b904e5ffb2cdb16f18ab12f422fd
 WHIRLPOOL 
488f567b900e49a9de9b92e9a8e29a92a087d390e9f24c3986bf1d89524878c88c7a3c2cae959844427fb20e6858a7b8eae112aac640f3d97ba1f79888f9f25d
 DIST bash43-045 1312 SHA256 
ba6ec3978e9eaa1eb3fabdaf3cc6fdf8c4606ac1c599faaeb4e2d69864150023 SHA512 
7b79dacff44e5358da736334d2277a2879ca1389e22e9dac50e139f30dab623bc89a56930d89e74efc468a00d051f6747ccaffcd1a30d7c737d49780b9830e3d
 WHIRLPOOL 
f361e523879ff1898574ac5eca480661bd787dc278fff204e7f27da89e85439b4e9d36a5f556046b760f3beb115302e745b5196bfa081b402d3f76fb44463558
 DIST bash43-046 1494 SHA256 
b3b456a6b690cd293353f17e22d92a202b3c8bce587ae5f2667c20c9ab6f688f SHA512 
c036b659fa681f8129110356bec33fad00fb8e469f3b4bcefd0b7ddf5e20030977716adf5c65f58f3ff68cd7af0bdd42392ee077100bc7f45ee123749d082f7d
 WHIRLPOOL 
d58384a2ca77f9a80a69a117221da51a701539cf5497d8e0fc634cd1cc0cb0024e02675bea810a0f42b873b557d479ba1b7aee6e6f73bd1422df2dbb29396477
+DIST bash43-047 4437 SHA256 
c69248de7e78ba6b92f118fe1ef47bc86479d5040fe0b1f908ace1c9e3c67c4a SHA512 
9332d680ac226491cf8e5986a3261eb76b53ef4b0b2a43405564b088afc0e8658077812c9177bdab7900e05394e69f3047d82ddb59553fc01ef721acfa9d5553
 WHIRLPOOL 
719fa31d0fb09a75d5abbb63ee5a485802c5eadd06720d6074c2282d117aa6e234f5f75cabd340643710bd14e99260047183386bd1df278c9715aed7b98232d7
+DIST bash43-048 1612 SHA256 
5b8215451c5d096ca1e115307ffe6613553551a70369525a0778f216c3a4dfa2 SHA512 
7c3963bfbc730b4592668460e86c166e727e9897c1a9235a6860a01bc90d365ef0707f0fac7ed62780dcc84e80dbe8484ec59e9e948def22f44ae03e8a169780
 WHIRLPOOL 
e1a435c3b9fbc0deca80dd89bfd3adcbff1d5a3af50884d2aef54635b8ba1063903e2d99a5a23bd1c64c19c5e9c19de6b479ac777cecdb812555dc5683b8cf71

diff --git a/app-shells/bash/bash-4.3_p48.ebuild 
b/app-shells/bash/bash-4.3_p48.ebuild
new file mode 100644
index 00000000..ea3559e
--- /dev/null
+++ b/app-shells/bash/bash-4.3_p48.ebuild
@@ -0,0 +1,252 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic toolchain-funcs multilib
+
+# Official patchlevel
+# See ftp://ftp.cwru.edu/pub/bash/bash-4.3-patches/
+PLEVEL=${PV##*_p}
+MY_PV=${PV/_p*}
+MY_PV=${MY_PV/_/-}
+MY_P=${PN}-${MY_PV}
+[[ ${PV} != *_p* ]] && PLEVEL=0
+patches() {
+       local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+       [[ ${plevel} -eq 0 ]] && return 1
+       eval set -- {1..${plevel}}
+       set -- $(printf "${pn}${pv/\.}-%03d " "$@")
+       if [[ ${opt} == -s ]] ; then
+               echo "${@/#/${DISTDIR}/}"
+       else
+               local u
+               for u in ftp://ftp.cwru.edu/pub/bash mirror://gnu/${pn} ; do
+                       printf "${u}/${pn}-${pv}-patches/%s " "$@"
+               done
+       fi
+}
+
+# The version of readline this bash normally ships with.
+READLINE_VER="6.3"
+
+DESCRIPTION="The standard GNU Bourne again shell"
+HOMEPAGE="http://tiswww.case.edu/php/chet/bash/bashtop.html";
+SRC_URI="mirror://gnu/bash/${MY_P}.tar.gz $(patches)"
+[[ ${PV} == *_rc* ]] && SRC_URI+=" ftp://ftp.cwru.edu/pub/bash/${MY_P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="afs bashlogger examples mem-scramble +net nls plugins +readline vanilla"
+
+DEPEND=">=sys-libs/ncurses-5.2-r2:0=
+       readline? ( >=sys-libs/readline-${READLINE_VER}:0= )
+       nls? ( virtual/libintl )"
+RDEPEND="${DEPEND}
+       !<sys-apps/portage-2.1.6.7_p1
+       !<sys-apps/paludis-0.26.0_alpha5"
+# we only need yacc when the .y files get patched (bash42-005)
+DEPEND+=" virtual/yacc"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.3-mapfile-improper-array-name-validation.patch
+       "${FILESDIR}"/${PN}-4.3-arrayfunc.patch
+       "${FILESDIR}"/${PN}-4.3-protos.patch
+)
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       if is-flag -malign-double ; then #7332
+               eerror "Detected bad CFLAGS '-malign-double'.  Do not use this"
+               eerror "as it breaks LFS (struct stat64) on x86."
+               die "remove -malign-double from your CFLAGS mr ricer"
+       fi
+       if use bashlogger ; then
+               ewarn "The logging patch should ONLY be used in restricted 
(i.e. honeypot) envs."
+               ewarn "This will log ALL output you enter into the shell, you 
have been warned."
+       fi
+}
+
+src_unpack() {
+       unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+       # Include official patches
+       [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+
+       # Clean out local libs so we know we use system ones w/releases.
+       if [[ ${PV} != *_rc* ]] ; then
+               rm -rf lib/{readline,termcap}/*
+               touch lib/{readline,termcap}/Makefile.in # for config.status
+               sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' 
Makefile.in || die
+       fi
+
+       # Avoid regenerating docs after patches #407985
+       sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
+       touch -r . doc/*
+
+       epatch "${PATCHES[@]}"
+
+       epatch_user
+}
+
+src_configure() {
+       local myconf=()
+
+       # For descriptions of these, see config-top.h
+       # bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
+       append-cppflags \
+               
-DDEFAULT_PATH_VALUE=\'\"${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin\"\'
 \
+               
-DSTANDARD_UTILS_PATH=\'\"${EPREFIX}/bin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/usr/sbin\"\'
 \
+               -DSYS_BASHRC=\'\"${EPREFIX}/etc/bash/bashrc\"\' \
+               -DSYS_BASH_LOGOUT=\'\"${EPREFIX}/etc/bash/bash_logout\"\' \
+               -DNON_INTERACTIVE_LOGIN_SHELLS \
+               -DSSH_SOURCE_BASHRC \
+               -DUSE_MKTEMP -DUSE_MKSTEMP \
+               $(use bashlogger && echo -DSYSLOG_HISTORY)
+
+       # Don't even think about building this statically without
+       # reading Bug 7714 first.  If you still build it statically,
+       # don't come crying to us with bugs ;).
+       #use static && export LDFLAGS="${LDFLAGS} -static"
+       use nls || myconf+=( --disable-nls )
+
+       # Historically, we always used the builtin readline, but since
+       # our handling of SONAME upgrades has gotten much more stable
+       # in the PM (and the readline ebuild itself preserves the old
+       # libs during upgrades), linking against the system copy should
+       # be safe.
+       # Exact cached version here doesn't really matter as long as it
+       # is at least what's in the DEPEND up above.
+       export ac_cv_rl_version=${READLINE_VER}
+
+       # Force linking with system curses ... the bundled termcap lib
+       # sucks bad compared to ncurses.  For the most part, ncurses
+       # is here because readline needs it.  But bash itself calls
+       # ncurses in one or two small places :(.
+
+       if [[ ${PV} != *_rc* ]] ; then
+               # Use system readline only with released versions.
+               myconf+=( --with-installed-readline=. )
+       fi
+
+       if use plugins; then
+               append-ldflags -Wl,-rpath,/usr/$(get_libdir)/bash
+       else
+               # Disable the plugins logic by hand since bash doesn't
+               # provide a way of doing it.
+               export ac_cv_func_dl{close,open,sym}=no \
+                       ac_cv_lib_dl_dlopen=no ac_cv_header_dlfcn_h=no
+               sed -i \
+                       -e '/LOCAL_LDFLAGS=/s:-rdynamic::' \
+                       configure || die
+       fi
+       tc-export AR #444070
+       econf \
+               --docdir='$(datarootdir)'/doc/${PF} \
+               --htmldir='$(docdir)/html' \
+               --with-curses \
+               $(use_with afs) \
+               $(use_enable net net-redirections) \
+               --disable-profiling \
+               $(use_enable mem-scramble) \
+               $(use_with mem-scramble bash-malloc) \
+               $(use_enable readline) \
+               $(use_enable readline history) \
+               $(use_enable readline bang-history) \
+               "${myconf[@]}"
+}
+
+src_compile() {
+       emake
+
+       if use plugins ; then
+               emake -C examples/loadables all others
+       fi
+}
+
+src_install() {
+       local d f
+
+       default
+
+       dodir /bin
+       mv "${ED}"/usr/bin/bash "${ED}"/bin/ || die
+       dosym bash /bin/rbash
+
+       insinto /etc/bash
+       doins "${FILESDIR}"/bash_logout
+       doins "${FILESDIR}"/bashrc
+       keepdir /etc/bash/bashrc.d
+       insinto /etc/skel
+       for f in bash{_logout,_profile,rc} ; do
+               newins "${FILESDIR}"/dot-${f} .${f}
+       done
+
+       local sed_args=(
+               -e "s:#${USERLAND}#@::"
+               -e '/#@/d'
+       )
+       if ! use readline ; then
+               sed_args+=( #432338
+                       -e '/^shopt -s histappend/s:^:#:'
+                       -e 's:use_color=true:use_color=false:'
+               )
+       fi
+       sed -i \
+               "${sed_args[@]}" \
+               "${ED}"/etc/skel/.bashrc \
+               "${ED}"/etc/bash/bashrc || die
+
+       if use plugins ; then
+               exeinto /usr/$(get_libdir)/bash
+               doexe $(echo examples/loadables/*.o | sed 's:\.o::g')
+               insinto /usr/include/bash-plugins
+               doins *.h builtins/*.h include/*.h 
lib/{glob/glob.h,tilde/tilde.h}
+       fi
+
+       if use examples ; then
+               for d in examples/{functions,misc,scripts,startup-files} ; do
+                       exeinto /usr/share/doc/${PF}/${d}
+                       insinto /usr/share/doc/${PF}/${d}
+                       for f in ${d}/* ; do
+                               if [[ ${f##*/} != PERMISSION ]] && [[ ${f##*/} 
!= *README ]] ; then
+                                       doexe ${f}
+                               else
+                                       doins ${f}
+                               fi
+                       done
+               done
+       fi
+
+       doman doc/*.1
+       newdoc CWRU/changelog ChangeLog
+       dosym bash.info /usr/share/info/bashref.info
+}
+
+pkg_preinst() {
+       if [[ -e ${EROOT}/etc/bashrc ]] && [[ ! -d ${EROOT}/etc/bash ]] ; then
+               mkdir -p "${EROOT}"/etc/bash
+               mv -f "${EROOT}"/etc/bashrc "${EROOT}"/etc/bash/
+       fi
+
+       if [[ -L ${EROOT}/bin/sh ]] ; then
+               # rewrite the symlink to ensure that its mtime changes. having 
/bin/sh
+               # missing even temporarily causes a fatal error with paludis.
+               local target=$(readlink "${EROOT}"/bin/sh)
+               local tmp=$(emktemp "${EROOT}"/bin)
+               ln -sf "${target}" "${tmp}"
+               mv -f "${tmp}" "${EROOT}"/bin/sh
+       fi
+}
+
+pkg_postinst() {
+       # If /bin/sh does not exist, provide it
+       if [[ ! -e ${EROOT}/bin/sh ]] ; then
+               ln -sf bash "${EROOT}"/bin/sh
+       fi
+}

Reply via email to